#include <LiquidCrystal.h>
#include "DHT.h"

#define DHTPIN 2
#undef HAS_SERIAL

//define DHTTYPE DHT11   // DHT 11 
#define DHTTYPE DHT22   // DHT 22  (AM2302)
//#define DHTTYPE DHT21   // DHT 21 (AM2301)

byte degreeChar[8] = {7,5,7,0,0,0,0};

DHT dht(DHTPIN, DHTTYPE);
LiquidCrystal lcd(7, 8, 9, 10, 11, 12);

void setup() {
#ifdef HAS_SERIAL
  Serial.begin(9600);
#endif
  dht.begin(); 
  lcd.begin(16, 2);
  lcd.createChar(0, degreeChar);  
  lcd.clear();
  // Give sensor time to warm up
  delay(1000);
}

void loop() {
  float h = dht.readHumidity();
  float t = dht.readTemperature();
  if (isnan(t) || isnan(h)) {
#ifdef HAS_SERIAL
    Serial.println("Failed to read from DHT");
#endif
    lcd.clear();
    lcd.print("Sensor error!");
  } else {
#ifdef HAS_SERIAL
    Serial.print("Humidity: ");
    Serial.print(h);
    Serial.print(" %\t");
    Serial.print("Temperature: "); 
    Serial.print(t);
    Serial.println(" *C");
#endif
    lcd.setCursor(0,0);
    lcd.print(" Temp: ");
    lcd.print(t);
    lcd.write(0);
    lcd.print("C");
    lcd.setCursor(0,1);
    lcd.print("Humid: ");
    lcd.print(h);
    lcd.print("%");
  }
  delay(1000);
}
